## meganz-sdk-v4.31.0b.tar.gz

=== CMakeLists.txt ===
# This file is here in the root folder so it can be opened as a CMake project in Visual Studio, eg in order to debug a Linux build in WSL2.
cmake_minimum_required(VERSION 3.13)
project(TryWSL)
include(${CMAKE_CURRENT_LIST_DIR}/contrib/cmake/CMakeLists.txt)
