=== contrib/cmake/vcpkg_extra_ports/pdfium/3710/CMakeLists.txt ===

cmake_minimum_required(VERSION 3.7.2)
project(pdfium_by_cmake)

set(_VCPKG_ROOT_DIR "${_VCPKG_ROOT_DIR}${VCPKG_ROOT_DIR}")

set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -D_DEBUG -DDEBUG")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -D_DEBUG -DDEBUG")

if(WIN32)
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /EHsc /MP")
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /EHsc /MP ")  
	add_definitions(-DHAVE_BOOLEAN )
endif()

if(APPLE)
    set(CMAKE_CXX_STANDARD 11)
    set(CMAKE_CXX_STANDARD_REQUIRED ON)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX.sdk" )
endif()

add_definitions( -DUNICODE -DNOMINMAX -DUSE_LIBJPEG_TURBO -DPNG_PREFIX  -DUSE_SYSTEM_ICUUC -DUSE_SYSTEM_LIBJPEG -DUSE_SYSTEM_LCMS2 -DUSE_SYSTEM_ZLIB -DUSE_SYSTEM_LIBOPENJPEG2 -DOPJ_STATIC -DDEFINE_PS_TABLES)
# no skia, V8, or xfa (xfa seems to require V8 anyway)

set(PdfiumDir "${_VCPKG_ROOT_DIR}/pdfium/pdfium")

#todo: figure out how to use the vckpg triplet here
include_directories( 
    ${PdfiumDir}
    ${PdfiumDir}/third_party/freetype/src/include
    ${PdfiumDir}/../../installed/${VCPKG_TARGET_TRIPLET}/include
)

message("include vcpkg: ${_VCPKG_ROOT_DIR}/installed/${VCPKG_TARGET_TRIPLET}/include")

if(WIN32)
     set(WIN 1)
else()
     set(WIN 0)
endif()

if (APPLE)
    set(MAC 1)
else()
    set(MAC 0)
endif()

if (NOT WIN32 AND NOT APPLE)
    set(LINUX 1)
else()
    set(LINUX 0)
endif()

set(ANDROID 0)


add_library(pdfium STATIC

${PdfiumDir}/core/fdrm/fx_crypt.cpp
${PdfiumDir}/core/fdrm/fx_crypt_aes.cpp
${PdfiumDir}/core/fdrm/fx_crypt_sha.cpp
#${PdfiumDir}/core/fdrm/fx_crypt_unittest.cpp
${PdfiumDir}/core/fpdfapi/cmaps/CNS1/Adobe-CNS1-UCS2_5.cpp
${PdfiumDir}/core/fpdfapi/cmaps/CNS1/B5pc-H_0.cpp
${PdfiumDir}/core/fpdfapi/cmaps/CNS1/B5pc-V_0.cpp
${PdfiumDir}/core/fpdfapi/cmaps/CNS1/cmaps_cns1.cpp
${PdfiumDir}/core/fpdfapi/cmaps/CNS1/CNS-EUC-H_0.cpp
${PdfiumDir}/core/fpdfapi/cmaps/CNS1/CNS-EUC-V_0.cpp
${PdfiumDir}/core/fpdfapi/cmaps/CNS1/ETen-B5-H_0.cpp
${PdfiumDir}/core/fpdfapi/cmaps/CNS1/ETen-B5-V_0.cpp
${PdfiumDir}/core/fpdfapi/cmaps/CNS1/ETenms-B5-H_0.cpp
${PdfiumDir}/core/fpdfapi/cmaps/CNS1/ETenms-B5-V_0.cpp
${PdfiumDir}/core/fpdfapi/cmaps/CNS1/HKscs-B5-H_5.cpp
${PdfiumDir}/core/fpdfapi/cmaps/CNS1/HKscs-B5-V_5.cpp
${PdfiumDir}/core/fpdfapi/cmaps/CNS1/UniCNS-UCS2-H_3.cpp
${PdfiumDir}/core/fpdfapi/cmaps/CNS1/UniCNS-UCS2-V_3.cpp
${PdfiumDir}/core/fpdfapi/cmaps/CNS1/UniCNS-UTF16-H_0.cpp
${PdfiumDir}/core/fpdfapi/cmaps/fpdf_cmaps.cpp
${PdfiumDir}/core/fpdfapi/cmaps/GB1/Adobe-GB1-UCS2_5.cpp
${PdfiumDir}/core/fpdfapi/cmaps/GB1/cmaps_gb1.cpp
${PdfiumDir}/core/fpdfapi/cmaps/GB1/GB-EUC-H_0.cpp
${PdfiumDir}/core/fpdfapi/cmaps/GB1/GB-EUC-V_0.cpp
${PdfiumDir}/core/fpdfapi/cmaps/GB1/GBK-EUC-H_2.cpp
${PdfiumDir}/core/fpdfapi/cmaps/GB1/GBK-EUC-V_2.cpp
${PdfiumDir}/core/fpdfapi/cmaps/GB1/GBK2K-H_5.cpp
${PdfiumDir}/core/fpdfapi/cmaps/GB1/GBK2K-V_5.cpp
${PdfiumDir}/core/fpdfapi/cmaps/GB1/GBKp-EUC-H_2.cpp
${PdfiumDir}/core/fpdfapi/cmaps/GB1/GBKp-EUC-V_2.cpp
${PdfiumDir}/core/fpdfapi/cmaps/GB1/GBpc-EUC-H_0.cpp
${PdfiumDir}/core/fpdfapi/cmaps/GB1/GBpc-EUC-V_0.cpp
${PdfiumDir}/core/fpdfapi/cmaps/GB1/UniGB-UCS2-H_4.cpp
${PdfiumDir}/core/fpdfapi/cmaps/GB1/UniGB-UCS2-V_4.cpp
${PdfiumDir}/core/fpdfapi/cmaps/Japan1/83pv-RKSJ-H_1.cpp
${PdfiumDir}/core/fpdfapi/cmaps/Japan1/90ms-RKSJ-H_2.cpp
${PdfiumDir}/core/fpdfapi/cmaps/Japan1/90ms-RKSJ-V_2.cpp
${PdfiumDir}/core/fpdfapi/cmaps/Japan1/90msp-RKSJ-H_2.cpp
${PdfiumDir}/core/fpdfapi/cmaps/Japan1/90msp-RKSJ-V_2.cpp
${PdfiumDir}/core/fpdfapi/cmaps/Japan1/90pv-RKSJ-H_1.cpp
${PdfiumDir}/core/fpdfapi/cmaps/Japan1/Add-RKSJ-H_1.cpp
${PdfiumDir}/core/fpdfapi/cmaps/Japan1/Add-RKSJ-V_1.cpp
${PdfiumDir}/core/fpdfapi/cmaps/Japan1/Adobe-Japan1-UCS2_4.cpp
${PdfiumDir}/core/fpdfapi/cmaps/Japan1/cmaps_japan1.cpp
${PdfiumDir}/core/fpdfapi/cmaps/Japan1/EUC-H_1.cpp
${PdfiumDir}/core/fpdfapi/cmaps/Japan1/EUC-V_1.cpp
${PdfiumDir}/core/fpdfapi/cmaps/Japan1/Ext-RKSJ-H_2.cpp
${PdfiumDir}/core/fpdfapi/cmaps/Japan1/Ext-RKSJ-V_2.cpp
${PdfiumDir}/core/fpdfapi/cmaps/Japan1/H_1.cpp
${PdfiumDir}/core/fpdfapi/cmaps/Japan1/UniJIS-UCS2-HW-H_4.cpp
${PdfiumDir}/core/fpdfapi/cmaps/Japan1/UniJIS-UCS2-HW-V_4.cpp
${PdfiumDir}/core/fpdfapi/cmaps/Japan1/UniJIS-UCS2-H_4.cpp
${PdfiumDir}/core/fpdfapi/cmaps/Japan1/UniJIS-UCS2-V_4.cpp
${PdfiumDir}/core/fpdfapi/cmaps/Japan1/V_1.cpp
${PdfiumDir}/core/fpdfapi/cmaps/Korea1/Adobe-Korea1-UCS2_2.cpp
${PdfiumDir}/core/fpdfapi/cmaps/Korea1/cmaps_korea1.cpp
${PdfiumDir}/core/fpdfapi/cmaps/Korea1/KSC-EUC-H_0.cpp
${PdfiumDir}/core/fpdfapi/cmaps/Korea1/KSC-EUC-V_0.cpp
${PdfiumDir}/core/fpdfapi/cmaps/Korea1/KSCms-UHC-HW-H_1.cpp
${PdfiumDir}/core/fpdfapi/cmaps/Korea1/KSCms-UHC-HW-V_1.cpp
${PdfiumDir}/core/fpdfapi/cmaps/Korea1/KSCms-UHC-H_1.cpp
${PdfiumDir}/core/fpdfapi/cmaps/Korea1/KSCms-UHC-V_1.cpp
${PdfiumDir}/core/fpdfapi/cmaps/Korea1/KSCpc-EUC-H_0.cpp
${PdfiumDir}/core/fpdfapi/cmaps/Korea1/UniKS-UCS2-H_1.cpp
${PdfiumDir}/core/fpdfapi/cmaps/Korea1/UniKS-UCS2-V_1.cpp
${PdfiumDir}/core/fpdfapi/cmaps/Korea1/UniKS-UTF16-H_0.cpp
${PdfiumDir}/core/fpdfapi/cpdf_modulemgr.cpp
${PdfiumDir}/core/fpdfapi/cpdf_pagerendercontext.cpp
${PdfiumDir}/core/fpdfapi/edit/cpdf_creator.cpp
##${PdfiumDir}/core/fpdfapi/edit/cpdf_creator_embeddertest.cpp
${PdfiumDir}/core/fpdfapi/edit/cpdf_pagecontentgenerator.cpp
#${PdfiumDir}/core/fpdfapi/edit/cpdf_pagecontentgenerator_unittest.cpp
${PdfiumDir}/core/fpdfapi/edit/cpdf_pagecontentmanager.cpp
${PdfiumDir}/core/fpdfapi/edit/cpdf_stringarchivestream.cpp
${PdfiumDir}/core/fpdfapi/font/cfx_cttgsubtable.cpp
${PdfiumDir}/core/fpdfapi/font/cfx_stockfontarray.cpp
${PdfiumDir}/core/fpdfapi/font/cpdf_cid2unicodemap.cpp
${PdfiumDir}/core/fpdfapi/font/cpdf_cidfont.cpp
#${PdfiumDir}/core/fpdfapi/font/cpdf_cidfont_unittest.cpp
${PdfiumDir}/core/fpdfapi/font/cpdf_cmap.cpp
${PdfiumDir}/core/fpdfapi/font/cpdf_cmapmanager.cpp
${PdfiumDir}/core/fpdfapi/font/cpdf_cmapparser.cpp
#${PdfiumDir}/core/fpdfapi/font/cpdf_cmapparser_unittest.cpp
${PdfiumDir}/core/fpdfapi/font/cpdf_font.cpp
${PdfiumDir}/core/fpdfapi/font/cpdf_fontencoding.cpp
#${PdfiumDir}/core/fpdfapi/font/cpdf_fontencoding_unittest.cpp
${PdfiumDir}/core/fpdfapi/font/cpdf_fontglobals.cpp
${PdfiumDir}/core/fpdfapi/font/cpdf_simplefont.cpp
${PdfiumDir}/core/fpdfapi/font/cpdf_tounicodemap.cpp
#${PdfiumDir}/core/fpdfapi/font/cpdf_tounicodemap_unittest.cpp
${PdfiumDir}/core/fpdfapi/font/cpdf_truetypefont.cpp
${PdfiumDir}/core/fpdfapi/font/cpdf_type1font.cpp
${PdfiumDir}/core/fpdfapi/font/cpdf_type3char.cpp
${PdfiumDir}/core/fpdfapi/font/cpdf_type3font.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_allstates.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_clippath.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_color.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_colorspace.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_colorstate.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_contentmarkitem.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_contentmarks.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_contentparser.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_devicecs.cpp
#${PdfiumDir}/core/fpdfapi/page/cpdf_devicecs_unittest.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_docpagedata.cpp
#${PdfiumDir}/core/fpdfapi/page/cpdf_docpagedata_embeddertest.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_expintfunc.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_form.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_formobject.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_function.cpp
#${PdfiumDir}/core/fpdfapi/page/cpdf_function_embeddertest.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_generalstate.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_graphicstates.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_iccprofile.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_image.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_imageobject.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_meshstream.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_page.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_pagemodule.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_pageobject.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_pageobjectholder.cpp
#${PdfiumDir}/core/fpdfapi/page/cpdf_pageobjectholder_unittest.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_pageobjectlist.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_path.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_pathobject.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_pattern.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_patterncs.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_psengine.cpp
#${PdfiumDir}/core/fpdfapi/page/cpdf_psengine_unittest.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_psfunc.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_sampledfunc.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_shadingobject.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_shadingpattern.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_stitchfunc.cpp
#${PdfiumDir}/core/fpdfapi/page/cpdf_stitchfunc_embeddertest.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_streamcontentparser.cpp
#${PdfiumDir}/core/fpdfapi/page/cpdf_streamcontentparser_unittest.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_streamparser.cpp
#${PdfiumDir}/core/fpdfapi/page/cpdf_streamparser_unittest.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_textobject.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_textstate.cpp
${PdfiumDir}/core/fpdfapi/page/cpdf_tilingpattern.cpp
${PdfiumDir}/core/fpdfapi/parser/cfdf_document.cpp
${PdfiumDir}/core/fpdfapi/parser/cpdf_array.cpp
#${PdfiumDir}/core/fpdfapi/parser/cpdf_array_unittest.cpp
${PdfiumDir}/core/fpdfapi/parser/cpdf_boolean.cpp
${PdfiumDir}/core/fpdfapi/parser/cpdf_cross_ref_avail.cpp
#${PdfiumDir}/core/fpdfapi/parser/cpdf_cross_ref_avail_unittest.cpp
${PdfiumDir}/core/fpdfapi/parser/cpdf_cross_ref_table.cpp
${PdfiumDir}/core/fpdfapi/parser/cpdf_crypto_handler.cpp
${PdfiumDir}/core/fpdfapi/parser/cpdf_data_avail.cpp
${PdfiumDir}/core/fpdfapi/parser/cpdf_dictionary.cpp
${PdfiumDir}/core/fpdfapi/parser/cpdf_document.cpp
#${PdfiumDir}/core/fpdfapi/parser/cpdf_document_unittest.cpp
${PdfiumDir}/core/fpdfapi/parser/cpdf_encryptor.cpp
${PdfiumDir}/core/fpdfapi/parser/cpdf_flateencoder.cpp
${PdfiumDir}/core/fpdfapi/parser/cpdf_hint_tables.cpp
#${PdfiumDir}/core/fpdfapi/parser/cpdf_hint_tables_unittest.cpp
${PdfiumDir}/core/fpdfapi/parser/cpdf_indirect_object_holder.cpp
#${PdfiumDir}/core/fpdfapi/parser/cpdf_indirect_object_holder_unittest.cpp
${PdfiumDir}/core/fpdfapi/parser/cpdf_linearized_header.cpp
${PdfiumDir}/core/fpdfapi/parser/cpdf_name.cpp
${PdfiumDir}/core/fpdfapi/parser/cpdf_null.cpp
${PdfiumDir}/core/fpdfapi/parser/cpdf_number.cpp
${PdfiumDir}/core/fpdfapi/parser/cpdf_object.cpp
${PdfiumDir}/core/fpdfapi/parser/cpdf_object_avail.cpp
#${PdfiumDir}/core/fpdfapi/parser/cpdf_object_avail_unittest.cpp
${PdfiumDir}/core/fpdfapi/parser/cpdf_object_stream.cpp
#${PdfiumDir}/core/fpdfapi/parser/cpdf_object_unittest.cpp
${PdfiumDir}/core/fpdfapi/parser/cpdf_object_walker.cpp
#${PdfiumDir}/core/fpdfapi/parser/cpdf_object_walker_unittest.cpp
${PdfiumDir}/core/fpdfapi/parser/cpdf_page_object_avail.cpp
#${PdfiumDir}/core/fpdfapi/parser/cpdf_page_object_avail_unittest.cpp
${PdfiumDir}/core/fpdfapi/parser/cpdf_parser.cpp
#${PdfiumDir}/core/fpdfapi/parser/cpdf_parser_embeddertest.cpp
#${PdfiumDir}/core/fpdfapi/parser/cpdf_parser_unittest.cpp
${PdfiumDir}/core/fpdfapi/parser/cpdf_read_validator.cpp
#${PdfiumDir}/core/fpdfapi/parser/cpdf_read_validator_unittest.cpp
${PdfiumDir}/core/fpdfapi/parser/cpdf_reference.cpp
${PdfiumDir}/core/fpdfapi/parser/cpdf_security_handler.cpp
#${PdfiumDir}/core/fpdfapi/parser/cpdf_security_handler_embeddertest.cpp
${PdfiumDir}/core/fpdfapi/parser/cpdf_simple_parser.cpp
#${PdfiumDir}/core/fpdfapi/parser/cpdf_simple_parser_unittest.cpp
${PdfiumDir}/core/fpdfapi/parser/cpdf_stream.cpp
${PdfiumDir}/core/fpdfapi/parser/cpdf_stream_acc.cpp
#${PdfiumDir}/core/fpdfapi/parser/cpdf_stream_acc_unittest.cpp
${PdfiumDir}/core/fpdfapi/parser/cpdf_string.cpp
${PdfiumDir}/core/fpdfapi/parser/cpdf_syntax_parser.cpp
#${PdfiumDir}/core/fpdfapi/parser/cpdf_syntax_parser_unittest.cpp
${PdfiumDir}/core/fpdfapi/parser/fpdf_parser_decode.cpp
#${PdfiumDir}/core/fpdfapi/parser/fpdf_parser_decode_embeddertest.cpp
