=== contrib/cmake/vcpkg_extra_ports/pdfium/5247/CMakeLists.txt ===

cmake_minimum_required(VERSION 3.7.2)
project(pdfium_by_cmake)

set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -D_DEBUG -DDEBUG")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -D_DEBUG -DDEBUG")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

if(WIN32)
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /EHsc /MP")
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /EHsc /MP ")  
	add_definitions(-DHAVE_BOOLEAN)
endif()

if(APPLE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX.sdk" )
endif()

add_definitions(-DCMS_NO_REGISTER_KEYWORD -DUNICODE -DNOMINMAX -DUSE_LIBJPEG_TURBO -DPNG_PREFIX  -DUSE_SYSTEM_ICUUC -DUSE_SYSTEM_LIBJPEG -DUSE_SYSTEM_LCMS2 -DUSE_SYSTEM_ZLIB -DUSE_SYSTEM_LIBOPENJPEG2 -DOPJ_STATIC -DDEFINE_PS_TABLES)
# no skia, V8, or xfa (xfa seems to require V8 anyway)

find_package(OpenJPEG      REQUIRED)
find_package(lcms          REQUIRED)
find_package(JPEG          REQUIRED)
find_package(BZip2         REQUIRED)
find_package(libpng        REQUIRED)

include_directories(
    ${JPEG_INCLUDE_DIRS}
    ${BZIP2_INCLUDE_DIRS}
    ${CMAKE_CURRENT_SOURCE_DIR}/third_party/abseil-cpp
    "."
)

if(WIN32)
     set(WIN 1)
else()
     set(WIN 0)
endif()

if (APPLE)
    set(MAC 1)
else()
    set(MAC 0)
endif()

if (NOT WIN32 AND NOT APPLE)
    set(LINUX 1)
else()
    set(LINUX 0)
endif()

set(ANDROID 0)


add_library(pdfium STATIC)

target_sources(pdfium PRIVATE
third_party/abseil-cpp/absl/strings/internal/str_format/output.cc
third_party/abseil-cpp/absl/strings/internal/str_format/parser.cc
third_party/abseil-cpp/absl/strings/internal/ostringstream.cc
third_party/abseil-cpp/absl/strings/internal/escaping.cc
third_party/abseil-cpp/absl/strings/internal/utf8.cc
third_party/abseil-cpp/absl/strings/internal/str_format/arg.cc
third_party/abseil-cpp/absl/strings/internal/str_format/bind.cc
third_party/abseil-cpp/absl/strings/internal/str_format/extension.cc
third_party/abseil-cpp/absl/strings/internal/str_format/float_conversion.cc
third_party/abseil-cpp/absl/strings/ascii.cc
third_party/abseil-cpp/absl/strings/internal/memutil.cc
third_party/abseil-cpp/absl/strings/match.cc
third_party/abseil-cpp/absl/strings/numbers.cc
third_party/abseil-cpp/absl/strings/str_cat.cc
third_party/abseil-cpp/absl/strings/str_replace.cc
third_party/abseil-cpp/absl/strings/str_split.cc
third_party/abseil-cpp/absl/strings/string_view.cc
third_party/abseil-cpp/absl/strings/substitute.cc
third_party/abseil-cpp/absl/strings/charconv.cc
third_party/abseil-cpp/absl/strings/escaping.cc
third_party/abseil-cpp/absl/strings/internal/charconv_bigint.cc
third_party/abseil-cpp/absl/strings/internal/charconv_parse.cc
third_party/abseil-cpp/absl/synchronization/internal/graphcycles.cc
third_party/abseil-cpp/absl/synchronization/barrier.cc
third_party/abseil-cpp/absl/synchronization/blocking_counter.cc
third_party/abseil-cpp/absl/synchronization/internal/create_thread_identity.cc
third_party/abseil-cpp/absl/synchronization/internal/per_thread_sem.cc
third_party/abseil-cpp/absl/synchronization/internal/waiter.cc
third_party/abseil-cpp/absl/synchronization/mutex.cc
third_party/abseil-cpp/absl/synchronization/notification.cc
third_party/abseil-cpp/absl/time/civil_time.cc
third_party/abseil-cpp/absl/time/clock.cc
third_party/abseil-cpp/absl/time/duration.cc
third_party/abseil-cpp/absl/time/format.cc
third_party/abseil-cpp/absl/time/time.cc
third_party/abseil-cpp/absl/time/internal/cctz/src/civil_time_detail.cc
third_party/abseil-cpp/absl/time/internal/cctz/src/time_zone_fixed.cc
third_party/abseil-cpp/absl/time/internal/cctz/src/time_zone_format.cc
third_party/abseil-cpp/absl/time/internal/cctz/src/time_zone_if.cc
third_party/abseil-cpp/absl/time/internal/cctz/src/time_zone_impl.cc
third_party/abseil-cpp/absl/time/internal/cctz/src/time_zone_info.cc
third_party/abseil-cpp/absl/time/internal/cctz/src/time_zone_libc.cc
third_party/abseil-cpp/absl/time/internal/cctz/src/time_zone_lookup.cc
third_party/abseil-cpp/absl/time/internal/cctz/src/time_zone_posix.cc
third_party/abseil-cpp/absl/time/internal/cctz/src/zone_info_source.cc
third_party/abseil-cpp/absl/types/bad_optional_access.cc
third_party/abseil-cpp/absl/types/bad_variant_access.cc
constants/appearance.cpp
constants/annotation_common.cpp
constants/font_encodings.cpp
constants/form_fields.cpp
constants/page_object.cpp
constants/stream_dict_common.cpp
constants/transparency.cpp
core/fdrm/fx_crypt.cpp
core/fdrm/fx_crypt_aes.cpp
core/fdrm/fx_crypt_sha.cpp
core/fpdfapi/cmaps/Japan1/90ms-RKSJ-H_2.cpp
core/fpdfapi/cmaps/Japan1/90ms-RKSJ-V_2.cpp
core/fpdfapi/cmaps/Japan1/90msp-RKSJ-H_2.cpp
core/fpdfapi/cmaps/Japan1/90pv-RKSJ-H_1.cpp
core/fpdfapi/cmaps/Japan1/Add-RKSJ-H_1.cpp
core/fpdfapi/cmaps/Japan1/Add-RKSJ-V_1.cpp
core/fpdfapi/cmaps/Japan1/Adobe-Japan1-UCS2_4.cpp
core/fpdfapi/cmaps/Japan1/EUC-H_1.cpp
core/fpdfapi/cmaps/Japan1/EUC-V_1.cpp
core/fpdfapi/cmaps/GB1/UniGB-UCS2-H_4.cpp
core/fpdfapi/cmaps/GB1/UniGB-UCS2-V_4.cpp
core/fpdfapi/cmaps/GB1/cmaps_gb1.cpp
core/fpdfapi/cmaps/Japan1/83pv-RKSJ-H_1.cpp
core/fpdfapi/cmaps/CNS1/Adobe-CNS1-UCS2_5.cpp
core/fpdfapi/cmaps/CNS1/B5pc-H_0.cpp
core/fpdfapi/cmaps/CNS1/B5pc-V_0.cpp
core/fpdfapi/cmaps/CNS1/CNS-EUC-H_0.cpp
core/fpdfapi/cmaps/CNS1/CNS-EUC-V_0.cpp
core/fpdfapi/cmaps/CNS1/ETen-B5-H_0.cpp
core/fpdfapi/cmaps/CNS1/ETen-B5-V_0.cpp
core/fpdfapi/cmaps/CNS1/ETenms-B5-H_0.cpp
core/fpdfapi/cmaps/CNS1/ETenms-B5-V_0.cpp
core/fpdfapi/cmaps/CNS1/HKscs-B5-H_5.cpp
core/fpdfapi/cmaps/CNS1/HKscs-B5-V_5.cpp
core/fpdfapi/cmaps/CNS1/UniCNS-UCS2-H_3.cpp
core/fpdfapi/cmaps/CNS1/UniCNS-UCS2-V_3.cpp
core/fpdfapi/cmaps/CNS1/UniCNS-UTF16-H_0.cpp
core/fpdfapi/cmaps/CNS1/cmaps_cns1.cpp
core/fpdfapi/cmaps/GB1/Adobe-GB1-UCS2_5.cpp
core/fpdfapi/cmaps/GB1/GB-EUC-H_0.cpp
core/fpdfapi/cmaps/Japan1/90msp-RKSJ-V_2.cpp
core/fpdfapi/cmaps/GB1/GB-EUC-V_0.cpp
core/fpdfapi/cmaps/GB1/GBK-EUC-H_2.cpp
core/fpdfapi/cmaps/GB1/GBK-EUC-V_2.cpp
core/fpdfapi/cmaps/GB1/GBK2K-H_5.cpp
core/fpdfapi/cmaps/GB1/GBK2K-V_5.cpp
core/fpdfapi/cmaps/GB1/GBKp-EUC-H_2.cpp
core/fpdfapi/cmaps/GB1/GBKp-EUC-V_2.cpp
core/fpdfapi/cmaps/GB1/GBpc-EUC-H_0.cpp
core/fpdfapi/cmaps/GB1/GBpc-EUC-V_0.cpp
core/fpdfapi/cmaps/Japan1/Ext-RKSJ-H_2.cpp
core/fpdfapi/cmaps/Japan1/Ext-RKSJ-V_2.cpp
core/fpdfapi/cmaps/Japan1/H_1.cpp
core/fpdfapi/cmaps/Japan1/UniJIS-UCS2-HW-H_4.cpp
core/fpdfapi/cmaps/Japan1/UniJIS-UCS2-HW-V_4.cpp
core/fpdfapi/cmaps/Japan1/UniJIS-UCS2-H_4.cpp
core/fpdfapi/cmaps/Japan1/UniJIS-UCS2-V_4.cpp
core/fpdfapi/cmaps/Japan1/V_1.cpp
core/fpdfapi/cmaps/Japan1/cmaps_japan1.cpp
core/fpdfapi/cmaps/Korea1/Adobe-Korea1-UCS2_2.cpp
core/fpdfapi/cmaps/Korea1/KSC-EUC-H_0.cpp
core/fpdfapi/cmaps/Korea1/KSC-EUC-V_0.cpp
core/fpdfapi/cmaps/Korea1/KSCms-UHC-HW-H_1.cpp
core/fpdfapi/cmaps/Korea1/KSCms-UHC-HW-V_1.cpp
core/fpdfapi/cmaps/Korea1/KSCms-UHC-H_1.cpp
core/fpdfapi/cmaps/Korea1/KSCms-UHC-V_1.cpp
core/fpdfapi/cmaps/Korea1/KSCpc-EUC-H_0.cpp
core/fpdfapi/cmaps/Korea1/UniKS-UCS2-H_1.cpp
core/fpdfapi/cmaps/Korea1/UniKS-UCS2-V_1.cpp
core/fpdfapi/cmaps/Korea1/UniKS-UTF16-H_0.cpp
core/fpdfapi/cmaps/Korea1/cmaps_korea1.cpp
core/fpdfapi/cmaps/fpdf_cmaps.cpp
core/fpdfapi/edit/cpdf_contentstream_write_utils.cpp
core/fpdfapi/edit/cpdf_creator.cpp
core/fpdfapi/edit/cpdf_pagecontentgenerator.cpp
core/fpdfapi/edit/cpdf_pagecontentmanager.cpp
core/fpdfapi/edit/cpdf_stringarchivestream.cpp
core/fpdfapi/font/cfx_cttgsubtable.cpp
core/fpdfapi/font/cfx_stockfontarray.cpp
core/fpdfapi/font/cpdf_cid2unicodemap.cpp
core/fpdfapi/font/cpdf_cidfont.cpp
core/fpdfapi/font/cpdf_cmap.cpp
core/fpdfapi/font/cpdf_cmapparser.cpp
core/fpdfapi/font/cpdf_font.cpp
core/fpdfapi/font/cpdf_fontencoding.cpp
core/fpdfapi/font/cpdf_fontglobals.cpp
core/fpdfapi/font/cpdf_simplefont.cpp
core/fpdfapi/font/cpdf_tounicodemap.cpp
core/fpdfapi/font/cpdf_truetypefont.cpp
core/fpdfapi/font/cpdf_type1font.cpp
core/fpdfapi/font/cpdf_type3char.cpp
core/fpdfapi/font/cpdf_type3font.cpp
core/fpdfapi/page/cpdf_page.cpp
core/fpdfapi/page/cpdf_pagemodule.cpp
core/fpdfapi/page/cpdf_pageobject.cpp
core/fpdfapi/page/cpdf_pageobjectholder.cpp
core/fpdfapi/page/cpdf_path.cpp
core/fpdfapi/page/cpdf_pathobject.cpp
core/fpdfapi/page/cpdf_pattern.cpp
core/fpdfapi/page/cpdf_patterncs.cpp
core/fpdfapi/page/cpdf_psengine.cpp
core/fpdfapi/page/cpdf_psfunc.cpp
core/fpdfapi/page/cpdf_sampledfunc.cpp
core/fpdfapi/page/cpdf_shadingobject.cpp
core/fpdfapi/page/cpdf_shadingpattern.cpp
core/fpdfapi/page/cpdf_stitchfunc.cpp
core/fpdfapi/page/cpdf_graphicstates.cpp
core/fpdfapi/page/cpdf_iccprofile.cpp
core/fpdfapi/page/cpdf_image.cpp
core/fpdfapi/page/cpdf_imageobject.cpp
core/fpdfapi/page/cpdf_indexedcs.cpp
core/fpdfapi/page/cpdf_meshstream.cpp
core/fpdfapi/page/cpdf_occontext.cpp
core/fpdfapi/page/cpdf_allstates.cpp
core/fpdfapi/page/cpdf_annotcontext.cpp
core/fpdfapi/page/cpdf_basedcs.cpp
core/fpdfapi/page/cpdf_clippath.cpp
core/fpdfapi/page/cpdf_color.cpp
core/fpdfapi/page/cpdf_colorspace.cpp
core/fpdfapi/page/cpdf_colorstate.cpp
core/fpdfapi/page/cpdf_contentmarkitem.cpp
core/fpdfapi/page/cpdf_contentmarks.cpp
core/fpdfapi/page/cpdf_contentparser.cpp
core/fpdfapi/page/cpdf_devicecs.cpp
core/fpdfapi/page/cpdf_dib.cpp
core/fpdfapi/page/cpdf_docpagedata.cpp
core/fpdfapi/page/cpdf_expintfunc.cpp
core/fpdfapi/page/cpdf_form.cpp
core/fpdfapi/page/cpdf_formobject.cpp
core/fpdfapi/page/cpdf_function.cpp
core/fpdfapi/page/cpdf_generalstate.cpp
core/fpdfapi/page/cpdf_streamcontentparser.cpp
core/fpdfapi/page/cpdf_streamparser.cpp
core/fpdfapi/page/cpdf_textobject.cpp
core/fpdfapi/page/cpdf_textstate.cpp
core/fpdfapi/page/cpdf_tilingpattern.cpp
core/fpdfapi/page/cpdf_transferfunc.cpp
core/fpdfapi/page/cpdf_transferfuncdib.cpp
core/fpdfapi/page/cpdf_transparency.cpp
core/fpdfapi/parser/cpdf_flateencoder.cpp
core/fpdfapi/parser/cpdf_hint_tables.cpp
core/fpdfapi/parser/cpdf_indirect_object_holder.cpp
core/fpdfapi/parser/cpdf_linearized_header.cpp
core/fpdfapi/parser/cpdf_name.cpp
core/fpdfapi/parser/cpdf_null.cpp
core/fpdfapi/parser/cpdf_number.cpp
core/fpdfapi/parser/cpdf_object.cpp
core/fpdfapi/parser/cpdf_object_avail.cpp
core/fpdfapi/parser/cpdf_object_stream.cpp
core/fpdfapi/parser/cpdf_object_walker.cpp
core/fpdfapi/parser/cpdf_page_object_avail.cpp
core/fpdfapi/parser/cpdf_parser.cpp
core/fpdfapi/parser/cpdf_read_validator.cpp
core/fpdfapi/parser/cpdf_reference.cpp
core/fpdfapi/parser/cpdf_security_handler.cpp
core/fpdfapi/parser/cpdf_simple_parser.cpp
core/fpdfapi/parser/cpdf_stream.cpp
core/fpdfapi/parser/cpdf_stream_acc.cpp
core/fpdfapi/parser/cpdf_string.cpp
core/fpdfapi/parser/cpdf_syntax_parser.cpp
core/fpdfapi/parser/fpdf_parser_decode.cpp
core/fpdfapi/parser/fpdf_parser_utility.cpp
core/fpdfapi/parser/cfdf_document.cpp
core/fpdfapi/parser/cpdf_array.cpp
core/fpdfapi/parser/cpdf_boolean.cpp
core/fpdfapi/parser/cpdf_cross_ref_avail.cpp
core/fpdfapi/parser/cpdf_cross_ref_table.cpp
core/fpdfapi/parser/cpdf_crypto_handler.cpp
core/fpdfapi/parser/cpdf_data_avail.cpp
core/fpdfapi/parser/cpdf_dictionary.cpp
core/fpdfapi/parser/cpdf_document.cpp
core/fpdfapi/parser/cpdf_encryptor.cpp
core/fpdfapi/render/charposlist.cpp
core/fpdfapi/render/cpdf_devicebuffer.cpp
core/fpdfapi/render/cpdf_docrenderdata.cpp
core/fpdfapi/render/cpdf_imageloader.cpp
core/fpdfapi/render/cpdf_imagerenderer.cpp
core/fpdfapi/render/cpdf_pagerendercache.cpp
core/fpdfapi/render/cpdf_pagerendercontext.cpp
core/fpdfapi/render/cpdf_progressiverenderer.cpp
core/fpdfapi/render/cpdf_rendercontext.cpp
core/fpdfapi/render/cpdf_renderoptions.cpp
core/fpdfapi/render/cpdf_rendershading.cpp
core/fpdfapi/render/cpdf_renderstatus.cpp
core/fpdfapi/render/cpdf_rendertiling.cpp
core/fpdfapi/render/cpdf_scaledrenderbuffer.cpp
$<${WIN}:core/fpdfapi/render/cpdf_windowsrenderdevice.cpp>
core/fpdfapi/render/cpdf_textrenderer.cpp
core/fpdfapi/render/cpdf_type3cache.cpp
core/fpdfapi/render/cpdf_type3glyphmap.cpp
core/fpdfdoc/cpvt_fontmap.cpp
core/fpdfdoc/cpvt_section.cpp
core/fpdfdoc/cpvt_variabletext.cpp
core/fpdfdoc/cpvt_wordinfo.cpp
