=== contrib/build_ffmpeg/packaging/PKGBUILD ===
# Maintainer: Pablo Martin <pm@mega.nz>
pkgname=ffmpeg-mega
pkgver=512.0
pkgrel=`cat MEGA_BUILD_ID || echo "1"`
epoch=
pkgdesc="TODO"
arch=('i686' 'x86_64')
url="TODO"
license=() #TODO
groups=()
depends=('glibc' 'gcc-libs')
makedepends=('unzip' 'wget' 'ca-certificates' 'zlib' 'extra-cmake-modules')
checkdepends=()
optdepends=()
provides=("ffmpeg-mega=${pkgver}")
conflicts=()
replaces=()
backup=()
options=()
#~ install=()
changelog= #TODO
source=("./ffmpeg-mega_${pkgver}.tar.gz"
)
noextract=()
md5sums=('SKIP')
validpgpkeys=()

prepare() {
	cd "$pkgname-$pkgver"
}

build() {
	cd "$pkgname-$pkgver"
	bash -x ./build_minimum.sh
}

check() {
	cd "$pkgname-$pkgver"
}

package() {
	cd "$pkgname-$pkgver"
	for i in `find target/lib -name "lib*a" -type f`; do install -D $i $pkgdir/usr/lib/${i/target\/lib\//}; done
	for i in `find target/include -type f | grep -v openssl `; do install -D -m 444 $i $pkgdir/usr/include/ffmpeg-mega/${i/target\/include\//}; done
}
